## bin-prot 1.0.5

=== lib/Makefile ===
OCAMLMAKEFILE = ../OCamlMakefile

SOURCES = \
  common_stubs.c \
  read_stubs.c \
  write_stubs.c \
  nat0.mli nat0.ml \
  common.mli common.ml \
  unsafe_common.mli unsafe_common.ml \
  unsafe_write_c.mli unsafe_write_c.ml \
  write_ml.mli write_ml.ml \
  unsafe_read_c.mli unsafe_read_c.ml \
  read_c.mli read_c.ml \
  read_ml.mli read_ml.ml \
  write_c.mli write_c.ml \
  size.mli size.ml \
  sw_arg.mli sw_arg.ml \
  utils.mli utils.ml \
  map_to_safe.ml

ifeq ($(shell uname -p), x86_64)
  export ARCH_FLAGS = -DARCH_SIXTYFOUR
endif

LIB_PACK_NAME = bin_prot
INCDIRS = +camlp4
OCAMLFLAGS = -for-pack Bin_prot
CFLAGS = \
  -pipe -g -fPIC -O2 -fomit-frame-pointer \
  -Wall -pedantic -Wextra -Wunused -Werror -Wno-long-long
PACKS = type-conv
RESULT = bin_prot

TRASH = pa_bin_prot.cmi pa_bin_prot.cmo pa_bin_prot.annot

all: \
	pack-byte-code pack-native-code \
	byte-code-library native-code-library \
	pa_bin_prot.cmi pa_bin_prot.cmo

LIBINSTALL_FILES = \
  common.mli nat0.mli read_c.mli read_ml.mli size.mli \
  unsafe_common.mli unsafe_read_c.mli unsafe_write_c.mli \
  utils.mli write_c.mli write_ml.mli map_to_safe.ml \
  bin_prot.cmi bin_prot.cma bin_prot.cmxa bin_prot.a libbin_prot_stubs.a \
  pa_bin_prot.cmi pa_bin_prot.cmo dllbin_prot_stubs.so

install:	libinstall
uninstall:	libuninstall

clean::	clean-doc

-include $(OCAMLMAKEFILE)

=== lib_test/Makefile ===
export OCAMLMAKEFILE = ../OCamlMakefile

export INCDIRS = ../lib
export LIBDIRS = ../lib
export LIBS = bin_prot
export PACKS = bigarray oUnit

define PROJ_sub1
  SOURCES = bin_prot_test.ml test.ml test_runner.ml
  RESULT = test_runner
endef
export PROJ_sub1

define PROJ_sub2
  SOURCES = mac_test.ml
  RESULT = mac_test
endef
export PROJ_sub2

ifndef SUBPROJS
  export SUBPROJS = sub1 sub2
endif

all:	bc

%:
	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@

example.pp.ml: example.ml
	camlp4o -o example.pp.ml -I ../../../lib pa_type_conv.cmo pa_bin_prot.cmo example.ml

## bin-prot 0.13.0

=== debian/changelog ===
bin-prot (1:0.13.0-2) unstable; urgency=medium

  * Install stub libs on all architectures

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Feb 2020 13:51:58 +0100

bin-prot (1:0.13.0-1) unstable; urgency=medium

  * New upstream release
    - bump epoch to cope with new upstream versioning scheme
  * Update Homepage and debian/watch
  * Build-depend on debhelper-compat
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 Feb 2020 16:51:41 +0100

bin-prot (113.33.03-5) unstable; urgency=medium

  * Remove Lifeng from Uploaders (Closes: #925092)
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Sep 2019 08:15:41 +0200

bin-prot (113.33.03-4) unstable; urgency=medium

  * Team upload
  * Replace build-dependency opam by opam-installer
  * Update Vcs-* to salsa
  * Remove trailing whitespace in debian/changelog
  * Debhelper compatibility level 12:
    - move option --fail-missing from override of dh_install to an
      override of dh_missing
  * Standards-Version 4.3.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 09 Jan 2019 21:21:44 +0100

bin-prot (113.33.03-3) unstable; urgency=medium

  * Team upload
  * d/libbin-prot-ocaml.install.in: install @OCamlDllDir@ only on OPT archs
  * Standards-version 4.1.1:
    - change Priority from extra to optional
    - d/copyright: use https form in format url

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Nov 2017 04:29:36 +0100

bin-prot (113.33.03-2) unstable; urgency=medium

  * Upload to unstable
  * Add Breaks/Replaces libbin-prot-camlp4-dev (Closes: #834069)
  * Clean up camlp4-related dependencies
  * Remove section about camlp4 from README.Debian
  * Move ocaml-findlib to Recommends

 -- Stéphane Glondu <glondu@debian.org>  Wed, 17 Aug 2016 13:54:59 +0200

bin-prot (113.33.03-1) experimental; urgency=medium

  * New upstream release
    - the camlp4 syntax is no longer part of upstream, as a consequence
      rename libbin-prot-camlp4-dev into libbin-prot-ocaml-dev
    - add libbin-prot-ocaml
    - update debian/copyright
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2016 15:29:11 +0200

bin-prot (113.00.00-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version
  * Generate API documentation using dh_ocamldoc(1)

 -- Hilko Bengen <bengen@debian.org>  Sat, 02 Jan 2016 17:54:21 +0100

bin-prot (111.03.00-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Upload to unstable.

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Sep 2014 20:50:05 +0200

bin-prot (111.03.00-1~exp1) experimental; urgency=medium

  [ Lifeng Sun ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5.

  [ Hilko Bengen ]
  * Upload to experimental

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Sep 2014 23:20:38 +0200

bin-prot (109.30.00-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 19:56:44 +0100

bin-prot (109.30.00-1) experimental; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Update debian/watch.

 -- Lifeng Sun <lifongsun@gmail.com>  Thu, 25 Jul 2013 19:52:43 +0800

bin-prot (2.0.9-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release (Closes: #713357)
    - bump type-conv requirement
  * Update debian/watch
  * Update debian/control: Vcs-*, Homepage
  * Bump debhelper compat to 9
  * Switch debian/copyright to format version 1.0
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jun 2013 16:53:26 +0200

bin-prot (2.0.7-1) unstable; urgency=low

  * New upstream release
    - depends on type-conv >= 3.0.3
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Nov 2011 23:53:26 +0100

bin-prot (2.0.1-1) experimental; urgency=low

  * New upstream release
    - drop all patches
  * Update debian/watch to follow forge.ocamlcore.org

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2011 10:30:25 +0200

bin-prot (1.3.1-3) unstable; urgency=low

  * Fix FTBFS on armel:
    - more alignment issues
    - compile C stubs with -fsigned-char

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Jul 2011 00:29:54 +0200

bin-prot (1.3.1-2) unstable; urgency=low

  * Fix several portability issues (Closes: #631829)
    - use cpp as default preprocessor on unknown OS (!linux)
    - alignment (e.g. mipsel)
    - endianness (e.g. mips)
  * Fix bigstring layout bug (and FTBFS with OCaml 3.12.1)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Jul 2011 23:12:12 +0200

bin-prot (1.3.1-1) unstable; urgency=low

  * New upstream release
    - remove obsolete patches
    - temporarily disable bigstring tests (they fail with OCaml 3.12.1)
  * Add myself to Uploaders
  * Rewrite debian/rules using dh with overrides
  * Bump Standards-Version to 3.9.2
  * Update debian/watch to follow Jane Street
  * Update Homepage to Jane Street

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jun 2011 15:51:14 +0200

bin-prot (1.2.24-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * debian/control:
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.9.1
    - bump versioned build-dependency to libounit-ocaml-dev to ease
      ounit transition
  * Switch source package format to 3.0 (quilt)
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Feb 2011 02:42:46 +0100

bin-prot (1.2.23-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 22 Apr 2010 21:33:43 +0200

bin-prot (1.2.20-1) unstable; urgency=low

  * New upstream release
  * Upgrade Standards-Version to 3.8.3 (no change)
  * Switch to dh-ocaml 0.9.1 (depends and dh_ocamldoc)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 25 Oct 2009 18:30:20 +0000

bin-prot (1.2.14-2) unstable; urgency=low



=== debian/control ===
Source: bin-prot
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-dune,
 libbase-ocaml-dev,
 libppx-compare-ocaml-dev,
 libppx-custom-printf-ocaml-dev,
 libppx-fields-conv-ocaml-dev,
 libppx-sexp-conv-ocaml-dev,
 libppx-variants-conv-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/bin-prot.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/bin-prot
Homepage: https://github.com/janestreet/bin_prot

Package: libbin-prot-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: libbin-prot-camlp4-dev
Replaces: libbin-prot-camlp4-dev
Description: type-safe binary serialization for OCaml values (dev files)
 bin-prot provides functionalities for reading and writing OCaml-values
 in a type-safe binary protocol.
 .
 These functions provide a safe way of performing I/O on any
 extensionally defined data type. Functions, objects, and values whose
 type is bound through a polymorphic record field are not supported, but
 everything else is.
 .
 There is no support for cyclic or shared values and only little endian
 computer architectures are supported.
 .
 This package contains development files.

Package: libbin-prot-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: libbin-prot-camlp4-dev
Replaces: libbin-prot-camlp4-dev
Description: type-safe binary serialization for OCaml values (runtime)
 bin-prot provides functionalities for reading and writing OCaml-values
 in a type-safe binary protocol.
 .
 These functions provide a safe way of performing I/O on any
 extensionally defined data type. Functions, objects, and values whose
 type is bound through a polymorphic record field are not supported, but
 everything else is.
 .
 There is no support for cyclic or shared values and only little endian
 computer architectures are supported.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p bin_prot

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p bin_prot
endif

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/bin_prot/LICENSE*

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/bin_prot/releases /.*/archive/v([\d\.\-rc]+)\.tar\.gz

## bin-prot 0.14.0

=== debian/changelog ===
bin-prot (1:0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Thu, 30 Jul 2020 09:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Stéphane Glondu <glondu@debian.org>,
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune,
- libbase-ocaml-dev,
- libppx-compare-ocaml-dev,
- libppx-custom-printf-ocaml-dev,
- libppx-fields-conv-ocaml-dev,
- libppx-sexp-conv-ocaml-dev,
- libppx-variants-conv-ocaml-dev,
+ libbase-ocaml-dev (>= 0.14),
+ libppx-compare-ocaml-dev (>= 0.14),
+ libppx-custom-printf-ocaml-dev (>= 0.14),
+ libppx-fields-conv-ocaml-dev (>= 0.14),
+ libppx-optcomp-ocaml-dev (>= 1:0.14),
+ libppx-sexp-conv-ocaml-dev (>= 1:0.14),
+ libppx-variants-conv-ocaml-dev (>= 0.14),
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,4 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/bin_prot/LICENSE*
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## bin-prot 0.15.0

=== debian/changelog ===
bin-prot (1:0.15.0-2) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.
  * Fix d/watch
  * Bump standards-version to 4.6.2

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 15:02:21 +0200

bin-prot (1:0.15.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Update pattern for GitHub archive URLs
  * Update standards version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 03 Feb 2023 06:10:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libppx-sexp-conv-ocaml-dev (>= 1:0.14),
  libppx-variants-conv-ocaml-dev (>= 0.14),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/bin-prot.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/bin-prot

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 endif
 
 override_dh_auto_install:
-	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/bin_prot/LICENSE*
 
 override_dh_dwz:

## bin-prot 0.16.0

=== debian/changelog ===
bin-prot (1:0.16.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 16:30:54 +0100

bin-prot (1:0.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 15:36:40 +0100

bin-prot (1:0.15.0-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:28:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libppx-compare-ocaml-dev (>= 0.14),
@@ -16,7 +16,8 @@
  libppx-optcomp-ocaml-dev (>= 1:0.14),
  libppx-sexp-conv-ocaml-dev (>= 1:0.14),
  libppx-variants-conv-ocaml-dev (>= 0.14),
- dh-ocaml
+ libppx-stable-witness-ocaml-dev,
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/bin-prot.git

## bin-prot 0.17.0

=== debian/changelog ===
bin-prot (1:0.17.0-2build5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Oct 2025 09:04:54 +0200

bin-prot (1:0.17.0-2build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:18:49 +0200

bin-prot (1:0.17.0-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:45:26 +0100

bin-prot (1:0.17.0-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:38:52 +0100

bin-prot (1:0.17.0-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:13:20 +0100

bin-prot (1:0.17.0-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Aug 2024 03:20:45 +0200

bin-prot (1:0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 28 Aug 2024 20:35:04 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/bin_prot/tags /.*/v([\d\.\-rc]+)\.tar\.gz

## bin-prot 1.2.20

=== lib/Makefile ===
--- 
+++ 
@@ -10,21 +10,27 @@
   unsafe_write_c.mli unsafe_write_c.ml \
   write_ml.mli write_ml.ml \
   unsafe_read_c.mli unsafe_read_c.ml \
-  read_c.mli read_c.ml \
+  size.mli size.ml \
   read_ml.mli read_ml.ml \
   write_c.mli write_c.ml \
-  size.mli size.ml \
-  sw_arg.mli sw_arg.ml \
-  utils.mli utils.ml \
-  map_to_safe.ml
+  read_c.mli read_c.ml \
+  type_class.mli type_class.ml \
+  map_to_safe.ml \
+  binable.ml \
+  utils.mli utils.ml
 
-ifeq ($(shell uname -p), x86_64)
+ifeq ($(shell uname -m), x86_64)
   export ARCH_FLAGS = -DARCH_SIXTYFOUR
+endif
+
+ifeq ($(shell uname -s), Darwin)
+  export BIN_PROT_CPP = cc -E -no-cpp-precomp -x c
+else
+  export BIN_PROT_CPP = cpp
 endif
 
 LIB_PACK_NAME = bin_prot
 INCDIRS = +camlp4
-OCAMLFLAGS = -for-pack Bin_prot
 CFLAGS = \
   -pipe -g -fPIC -O2 -fomit-frame-pointer \
   -Wall -pedantic -Wextra -Wunused -Werror -Wno-long-long

## bin-prot 1.2.23

=== Makefile ===
.PHONY: all
all:
	@cd lib && $(MAKE)
	@cd lib_test && make

.PHONY:	install
install:
	@cd lib && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean
	@cd lib_test && $(MAKE) clean

=== doc/Makefile ===
NAME        := README
HEVEAFLAGS  := -w 78 -fix -exec ~/bin/xxdate.exe custom.hva 
TRASH       := $(NAME).pdf $(NAME).fls

all:	text pdf

$(NAME).tex:
	touch $@

-include HeveaMakefile

=== lib/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 
 ifeq ($(shell uname -s), Darwin)
-  export BIN_PROT_CPP = cc -E -no-cpp-precomp -x c
+  export BIN_PROT_CPP = cc -E -no-cpp-precomp -x c -w
 else
   export BIN_PROT_CPP = cpp
 endif
@@ -34,7 +34,7 @@
 CFLAGS = \
   -pipe -g -fPIC -O2 -fomit-frame-pointer \
   -Wall -pedantic -Wextra -Wunused -Werror -Wno-long-long
-PACKS = type-conv
+PACKS = bigarray type-conv
 RESULT = bin_prot
 
 TRASH = pa_bin_prot.cmi pa_bin_prot.cmo pa_bin_prot.annot

=== lib_test/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export INCDIRS = ../lib
 export LIBDIRS = ../lib
 export LIBS = bin_prot
-export PACKS = bigarray oUnit
+export PACKS = unix bigarray oUnit
 
 define PROJ_sub1
   SOURCES = bin_prot_test.ml test.ml test_runner.ml
@@ -27,4 +27,4 @@
 	@$(MAKE) -f $(OCAMLMAKEFILE) subprojs SUBTARGET=$@
 
 example.pp.ml: example.ml
-	camlp4o -o example.pp.ml -I ../../../lib pa_type_conv.cmo pa_bin_prot.cmo example.ml 
+	camlp4o -o example.pp.ml -I ../../../lib pa_type_conv.cmo pa_bin_prot.cmo example.ml

## bin-prot 1.3.1

=== debian/changelog ===
bin-prot (1.3.1-3build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:14 -0600

=== debian/watch ===
version=3
http://ocaml.janestcapital.com/?q=node/13 \
	http://www.janestreet.com/ocaml/bin_prot-(.*)\.tar\.gz

## bin-prot 2.0.1

=== debian/control ===
Source: bin-prot
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Sylvain Le Gall <gildor@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9~),
 ocaml-nox (>= 3.12),
 ocaml-findlib (>= 1.2.4),
 camlp4,
 camlp4-extra,
 libtype-conv-camlp4-dev (>= 2.3.0),
 libounit-ocaml-dev (>= 1.1.0-3~)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/bin-prot.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/bin-prot.git
Homepage: http://ocaml.janestreet.com/?q=node/13

Package: libbin-prot-camlp4-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ocaml-findlib,
 camlp4,
 libtype-conv-camlp4-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: type-safe binary serialization for OCaml values
 bin-prot provides functionalities for reading and writing OCaml-values
 in a type-safe binary protocol.
 .
 These functions provide a safe way of performing I/O on any
 extensionally defined data type. Functions, objects, and values whose
 type is bound through a polymorphic record field are not supported, but
 everything else is.
 .
 There is no support for cyclic or shared values and only little endian
 computer architectures are supported.

## bin-prot 2.0.7

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  ocaml-findlib (>= 1.2.4),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 2.3.0),
+ libtype-conv-camlp4-dev (>= 3.0.3),
  libounit-ocaml-dev (>= 1.1.0-3~)
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/bin-prot.git

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/libbin-prot-camlp4-dev

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libbin-prot-camlp4-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)$(OCAML_DLL_DIR)'
	ocaml setup.ml -install
	rm -f '$(DESTDIR)$(OCAML_DLL_DIR)'/*.so.owner

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=254 .*/bin-prot-(.*)\.tar\.gz

## bin-prot 2.0.9

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.12),
  ocaml-findlib (>= 1.2.4),
  camlp4,
  camlp4-extra,
- libtype-conv-camlp4-dev (>= 3.0.3),
+ libtype-conv-camlp4-dev (>= 3.0.5),
  libounit-ocaml-dev (>= 1.1.0-3~)
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/bin-prot.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/bin-prot.git
-Homepage: http://ocaml.janestreet.com/?q=node/13
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/bin-prot.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/bin-prot.git
+Homepage: http://janestreet.github.io/
 
 Package: libbin-prot-camlp4-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libbin-prot-camlp4-dev
+	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libbin-prot-camlp4-dev/html/api
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:

=== debian/watch ===
version=3
http://githubredir.debian.net/github/janestreet/bin_prot /(\d+\.\d+\.\d+)\.tar\.gz

## bin-prot 109.30.00

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>
+ Stéphane Glondu <glondu@debian.org>,
+ Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9~),
- ocaml-nox (>= 3.12),
- ocaml-findlib (>= 1.2.4),
+ ocaml-nox (>= 4.00.0),
+ ocaml-findlib (>= 1.3.2),
  camlp4,
  camlp4-extra,
  libtype-conv-camlp4-dev (>= 3.0.5),

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export OCAML_DLL_DIR
 export OCAML_HAVE_OCAMLOPT
 export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
+export OCAMLFIND_LDCONF=ignore
 
 %:
 	dh $@ --with ocaml

## bin-prot 111.03.00

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
- Lifeng Sun <lifongsun@gmail.com>
+ Lifeng Sun <lifongsun@gmail.com>,
+ Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9~),
@@ -14,7 +15,7 @@
  camlp4-extra,
  libtype-conv-camlp4-dev (>= 3.0.5),
  libounit-ocaml-dev (>= 1.1.0-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/bin-prot.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/bin-prot.git
 Homepage: http://janestreet.github.io/

## bin-prot 113.00.00

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  camlp4-extra,
  libtype-conv-camlp4-dev (>= 3.0.5),
  libounit-ocaml-dev (>= 1.1.0-3~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/bin-prot.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/bin-prot.git
 Homepage: http://janestreet.github.io/

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/bin_prot/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz

## bin-prot 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := bin_prot
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: _oasis setup.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup.ml || true
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/control ===
Source: bin-prot
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Lifeng Sun <lifongsun@gmail.com>,
 Hilko Bengen <bengen@debian.org>
Build-Depends:
 debhelper (>= 12),
 dh-ocaml (>= 0.9~),
 ocaml-nox (>= 4.00.0),
 ocaml-findlib (>= 1.3.2),
 oasis,
 opam-installer,
 libjs-build-tools-ocaml-dev,
 libfindlib-ocaml-dev,
 libounit-ocaml-dev (>= 1.1.0-3~)
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ocaml-team/bin-prot.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/bin-prot
Homepage: http://janestreet.github.io/

Package: libbin-prot-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Breaks: libbin-prot-camlp4-dev
Replaces: libbin-prot-camlp4-dev
Description: type-safe binary serialization for OCaml values (dev files)
 bin-prot provides functionalities for reading and writing OCaml-values
 in a type-safe binary protocol.
 .
 These functions provide a safe way of performing I/O on any
 extensionally defined data type. Functions, objects, and values whose
 type is bound through a polymorphic record field are not supported, but
 everything else is.
 .
 There is no support for cyclic or shared values and only little endian
 computer architectures are supported.
 .
 This package contains development files.

Package: libbin-prot-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: libbin-prot-camlp4-dev
Replaces: libbin-prot-camlp4-dev
Description: type-safe binary serialization for OCaml values (runtime)
 bin-prot provides functionalities for reading and writing OCaml-values
 in a type-safe binary protocol.
 .
 These functions provide a safe way of performing I/O on any
 extensionally defined data type. Functions, objects, and values whose
 type is bound through a polymorphic record field are not supported, but
 everything else is.
 .
 There is no support for cyclic or shared values and only little endian
 computer architectures are supported.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) --stubsdir=.$(OCAML_DLL_DIR) bin_prot.install

override_dh_missing:
	dh_missing --fail-missing
